---
primaryTopic:
  Accounts:
    AccountCategory: UNAUDITED ABRIDGED
    AccountRefDay: 31
    AccountRefMonth: 03
    LastMadeUpDate: 31/03/2024
    NextDueDate: 31/12/2025
  CompanyCategory: Private Limited Company
  CompanyName: BS&T DIGITAL LIMITED
  CompanyNumber: 08737265
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 17/10/2013
  RegAddress:
    AddressLine1: 72 COMMERCIAL ROAD
    AddressLine2: PADDOCK WOOD
    PostTown: TONBRIDGE
    County: KENT
    Postcode: TN12 6DP
  Returns:
    LastMadeUpDate: 17/10/2024
    NextDueDate: 31/10/2025
  SICCodes:
    SicText:
      - '73110 - Advertising agencies'
